#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'devicesetupwizarddialog.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "devicesetupwizarddialog.h"

#include <ntqvariant.h>
#include <ntqwidget.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlabel.h>
#include <ntqframe.h>
#include <ntqprogressbar.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>


/*
 *  Constructs a DeviceSetupWizardDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qwizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qwizard.
 */
DeviceSetupWizardDialog::DeviceSetupWizardDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : KWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "DeviceSetupWizardDialog" );

    WizardPage = new TQWidget( this, "WizardPage" );

    pairingButtonGroup = new TQButtonGroup( WizardPage, "pairingButtonGroup" );
    pairingButtonGroup->setEnabled( TRUE );
    pairingButtonGroup->setGeometry( TQRect( 30, 60, 350, 110 ) );

    pairingRadioButton2 = new TQRadioButton( pairingButtonGroup, "pairingRadioButton2" );
    pairingRadioButton2->setGeometry( TQRect( 10, 70, 220, 31 ) );

    pairingRadioButton1 = new TQRadioButton( pairingButtonGroup, "pairingRadioButton1" );
    pairingRadioButton1->setGeometry( TQRect( 10, 30, 210, 30 ) );
    pairingRadioButton1->setChecked( TRUE );

    pairingTextLabel = new TQLabel( WizardPage, "pairingTextLabel" );
    pairingTextLabel->setGeometry( TQRect( 30, 20, 350, 30 ) );
    addPage( WizardPage, TQString("") );

    WizardPage_2 = new TQWidget( this, "WizardPage_2" );

    progressBarFrame1 = new TQFrame( WizardPage_2, "progressBarFrame1" );
    progressBarFrame1->setGeometry( TQRect( 30, 10, 420, 50 ) );
    progressBarFrame1->setFrameShape( TQFrame::StyledPanel );
    progressBarFrame1->setFrameShadow( TQFrame::Raised );

    pairingProgressBar = new TQProgressBar( progressBarFrame1, "pairingProgressBar" );
    pairingProgressBar->setGeometry( TQRect( 5, 9, 300, 29 ) );

    cancelPairingButton = new TQPushButton( progressBarFrame1, "cancelPairingButton" );
    cancelPairingButton->setGeometry( TQRect( 315, 9, 91, 31 ) );
    addPage( WizardPage_2, TQString("") );

    WizardPage_3 = new TQWidget( this, "WizardPage_3" );

    buttonSrc2Dst = new TQPushButton( WizardPage_3, "buttonSrc2Dst" );
    buttonSrc2Dst->setGeometry( TQRect( 204, 62, 51, 31 ) );

    buttonDst2Src = new TQPushButton( WizardPage_3, "buttonDst2Src" );
    buttonDst2Src->setGeometry( TQRect( 204, 102, 51, 31 ) );
    buttonDst2Src->setFocusPolicy( TQPushButton::NoFocus );

    tQListViewSrc = new TQListView( WizardPage_3, "tQListViewSrc" );
    tQListViewSrc->addColumn( tr2i18n( "Service" ) );
    tQListViewSrc->setGeometry( TQRect( 0, 30, 190, 240 ) );

    tQListViewDst = new TQListView( WizardPage_3, "tQListViewDst" );
    tQListViewDst->addColumn( tr2i18n( "Service" ) );
    tQListViewDst->setGeometry( TQRect( 270, 30, 201, 240 ) );

    connectTextLabel = new TQLabel( WizardPage_3, "connectTextLabel" );
    connectTextLabel->setGeometry( TQRect( 0, 0, 270, 30 ) );
    addPage( WizardPage_3, TQString("") );

    WizardPage_4 = new TQWidget( this, "WizardPage_4" );

    progressBarFrame2 = new TQFrame( WizardPage_4, "progressBarFrame2" );
    progressBarFrame2->setGeometry( TQRect( 40, 20, 420, 50 ) );
    progressBarFrame2->setFrameShape( TQFrame::StyledPanel );
    progressBarFrame2->setFrameShadow( TQFrame::Raised );

    connectingProgressBar = new TQProgressBar( progressBarFrame2, "connectingProgressBar" );
    connectingProgressBar->setGeometry( TQRect( 5, 9, 300, 29 ) );

    cancelConnectButton = new TQPushButton( progressBarFrame2, "cancelConnectButton" );
    cancelConnectButton->setGeometry( TQRect( 315, 9, 91, 31 ) );
    addPage( WizardPage_4, TQString("") );

    WizardPage_5 = new TQWidget( this, "WizardPage_5" );

    doneTextLabel = new TQLabel( WizardPage_5, "doneTextLabel" );
    doneTextLabel->setGeometry( TQRect( 30, 20, 261, 31 ) );
    doneTextLabel->setBackgroundMode( TQLabel::PaletteBackground );
    doneTextLabel->setBackgroundOrigin( TQLabel::WidgetOrigin );

    trustedCheckBox = new TQCheckBox( WizardPage_5, "trustedCheckBox" );
    trustedCheckBox->setGeometry( TQRect( 30, 60, 270, 31 ) );
    addPage( WizardPage_5, TQString("") );
    languageChange();
    resize( TQSize(515, 368).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DeviceSetupWizardDialog::~DeviceSetupWizardDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DeviceSetupWizardDialog::languageChange()
{
    setCaption( tr2i18n( "Device Setup Wizard" ) );
    pairingButtonGroup->setTitle( tr2i18n( "Device pairing" ) );
    pairingRadioButton2->setText( tr2i18n( "Pair &device later" ) );
    pairingRadioButton1->setText( tr2i18n( "Pair de&vice now" ) );
    pairingTextLabel->setText( tr2i18n( "Do you want to pair device now or later?" ) );
    setTitle( WizardPage, tr2i18n( "Pair" ) );
    cancelPairingButton->setText( tr2i18n( "&Cancel" ) );
    setTitle( WizardPage_2, tr2i18n( "Pairing" ) );
    buttonSrc2Dst->setText( tr2i18n( "&>>" ) );
    buttonDst2Src->setText( tr2i18n( "&<<" ) );
    tQListViewSrc->header()->setLabel( 0, tr2i18n( "Service" ) );
    tQListViewSrc->clear();
    TQListViewItem * item = new TQListViewItem( tQListViewSrc, 0 );
    item->setText( 0, tr2i18n( "New entry" ) );

    tQListViewDst->header()->setLabel( 0, tr2i18n( "Service" ) );
    tQListViewDst->clear();
    item = new TQListViewItem( tQListViewDst, 0 );
    item->setText( 0, tr2i18n( "New entry" ) );

    connectTextLabel->setText( tr2i18n( "Select service to connect:" ) );
    setTitle( WizardPage_3, tr2i18n( "Connect" ) );
    cancelConnectButton->setText( tr2i18n( "&Cancel" ) );
    setTitle( WizardPage_4, tr2i18n( "Connecting" ) );
    doneTextLabel->setText( tr2i18n( "Done setup device" ) );
    trustedCheckBox->setText( tr2i18n( "Trust the &device" ) );
    setTitle( WizardPage_5, tr2i18n( "Done" ) );
}

/****************************************************************************
** DeviceSetupWizardDialog meta object code from reading C++ file 'devicesetupwizarddialog.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "devicesetupwizarddialog.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DeviceSetupWizardDialog::className() const
{
    return "DeviceSetupWizardDialog";
}

TQMetaObject *DeviceSetupWizardDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DeviceSetupWizardDialog( "DeviceSetupWizardDialog", &DeviceSetupWizardDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DeviceSetupWizardDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DeviceSetupWizardDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DeviceSetupWizardDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DeviceSetupWizardDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DeviceSetupWizardDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = KWizard::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DeviceSetupWizardDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DeviceSetupWizardDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DeviceSetupWizardDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DeviceSetupWizardDialog" ) )
	return this;
    return KWizard::tqt_cast( clname );
}

bool DeviceSetupWizardDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return KWizard::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DeviceSetupWizardDialog::tqt_emit( int _id, TQUObject* _o )
{
    return KWizard::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DeviceSetupWizardDialog::tqt_property( int id, int f, TQVariant* v)
{
    return KWizard::tqt_property( id, f, v);
}

bool DeviceSetupWizardDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
